JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioProcessorGraph::NodeAndChannel Class Reference
juce_audio_processors » processors

Represents an input or output channel of a node in an AudioProcessorGraph. More...

`#include <juce_AudioProcessorGraph.h>`

## Public Member Functions
bool | isMIDI () const noexcept
bool | operator== (const NodeAndChannel &other) const noexcept
bool | operator!= (const NodeAndChannel &other) const noexcept
bool | operator< (const NodeAndChannel &other) const noexcept

## Public Attributes
NodeID | nodeID
int | channelIndex

## Detailed Description

Represents an input or output channel of a node in an AudioProcessorGraph.

## Member Function Documentation

## ◆ isMIDI()

bool AudioProcessorGraph::NodeAndChannel::isMIDI | ( |  | ) | const
| noexcept

## ◆ operator==()

bool AudioProcessorGraph::NodeAndChannel::operator== | ( | const NodeAndChannel & | other | ) | const
| noexcept

## ◆ operator!=()

bool AudioProcessorGraph::NodeAndChannel::operator!= | ( | const NodeAndChannel & | other | ) | const
| noexcept

## ◆ operator<()

bool AudioProcessorGraph::NodeAndChannel::operator< | ( | const NodeAndChannel & | other | ) | const
| noexcept

## Member Data Documentation

## ◆ nodeID

NodeID AudioProcessorGraph::NodeAndChannel::nodeID

## ◆ channelIndex

int AudioProcessorGraph::NodeAndChannel::channelIndex

The documentation for this class was generated from the following file:

- juce_AudioProcessorGraph.h